package com.reportex.model;
// Generated 12-19-2019 04:49:58 PM by Hibernate Tools 5.2.12.Final

import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.IDENTITY;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 * Factura generated by hbm2java
 */
@Entity
@Table(name = "factura", catalog = "facturacion")
public class Factura implements java.io.Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private Integer numFactura;
	private String codigo;
	private Date fecha;
	private int idCliente;
	private int numPago;

	public Factura() {
	}

	public Factura(String codigo, Date fecha, int idCliente, int numPago) {
		this.codigo = codigo;
		this.fecha = fecha;
		this.idCliente = idCliente;
		this.numPago = numPago;
	}

	@Id
	@GeneratedValue(strategy = IDENTITY)

	@Column(name = "num_factura", unique = true, nullable = false)
	public Integer getNumFactura() {
		return this.numFactura;
	}

	public void setNumFactura(Integer numFactura) {
		this.numFactura = numFactura;
	}

	@Column(name = "codigo", nullable = false)
	public String getCodigo() {
		return this.codigo;
	}

	public void setCodigo(String codigo) {
		this.codigo = codigo;
	}

	@Temporal(TemporalType.DATE)
	@Column(name = "fecha", nullable = false, length = 10)
	public Date getFecha() {
		return this.fecha;
	}

	public void setFecha(Date fecha) {
		this.fecha = fecha;
	}

	@Column(name = "id_cliente", nullable = false)
	public int getIdCliente() {
		return this.idCliente;
	}

	public void setIdCliente(int idCliente) {
		this.idCliente = idCliente;
	}

	@Column(name = "num_pago", nullable = false)
	public int getNumPago() {
		return this.numPago;
	}

	public void setNumPago(int numPago) {
		this.numPago = numPago;
	}

}
